import { jsx } from "react/jsx-runtime";
import { TokenSFD as TokenSFD$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSFD = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SFD", "data-name": "TokenSFD", ...props, children: /* @__PURE__ */ jsx(TokenSFD$1, { variant }) });
  }
);
TokenSFD.displayName = "TokenSFD";
Object.assign(TokenSFD, { isGdsIcon: true });
export {
  TokenSFD
};
